For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all amenities
        • GETGet an amenity by ID
        • PUTUpdate Amenity: Yardi - Not Supported
        • POSTCreate Amenity: Yardi - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Amenities

Get all amenities

GET
/v1/amenities/
GET
/v1/amenities/
$curl https://api.propexo.com/v1/amenities/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "YARDI_AMENITY_987654",
18 "x_listing_id": null,
19 "x_parent_amenity_id": null,
20 "x_property_id": "YARDI_PROPERTY_123456",
21 "cost_in_cents": null,
22 "custom_data": {},
23 "description": "Microwave oven included in the unit kitchen",
24 "image_urls": null,
25 "is_unit_amenity": true,
26 "meta_data": null,
27 "name_normalized": "MICROWAVE",
28 "name": "Microwave Oven",
29 "units": [
30 {
31 "amenity_id": "cm2j4ivcv0000eioz6rd365se",
32 "unit_id": "cm2j4jbzf0002eiozdudz9bda",
33 "cost_in_cents": null
34 }
35 ],
36 "integration_id": "clwh5u07w000508me66sfh3um",
37 "integration_vendor": "YARDI",
38 "property_id": "clwi5xiix000008l6ctdgafyh",
39 "x_unit_id": null
40 }
41 ]
42}
Get all amenities. Amenities only appear in the Yardi responses when they're associated with a unit or property and have a corresponding MITS amenity mapping value. To indicate a property level amenity only set a MITS property level mapping for that amenity. To indicate a unit level amenity only set a MITS unit level mapping for that amenity. To indicate a property level amenity that is also a unit level amenity, set a MITS property level mapping and a MITS unit level mapping.
Was this page helpful?
Previous

Get an amenity by ID

Next
Built with
Get all amenities. Amenities only appear in the Yardi responses when they're associated with a unit or property and have a corresponding MITS amenity mapping value. To indicate a property level amenity only set a MITS property level mapping for that amenity. To indicate a unit level amenity only set a MITS unit level mapping for that amenity. To indicate a property level amenity that is also a unit level amenity, set a MITS property level mapping and a MITS unit level mapping.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
unit_idstringOptional
The Propexo unique identifier for the unit

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error